> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/external-chat-api/reference/endpoints/update-conversation-feedback.md).

# Update conversation feedback

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

**Request**

```
PATCH chat/conversations/{id}/feedback
```

**Request body**

```json
{
    "isPositive": true,
    "text": "Nice, thank you!"
}
```

**Fields**

| Field      | Type    | Comments                                                            |
| ---------- | ------- | ------------------------------------------------------------------- |
| isPositive | boolean | Indicates the conversation feedback from the client                 |
| text       | string  | Additional text related to the customer's conversation satisfaction |

**Response**

```json
{
    "data": {
        "isPositive": true,
        "text": "Nice, resolve my problem!"
    },
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type of [Conversation satisfaction](/docs/apis/external-chat-api/reference/objects/conversation-feedback.md) object.
